Package com.ngrok

# Class Ngrok.EdgesNamespace

java.lang.Object
com.ngrok.Ngrok.EdgesNamespace

Enclosing class:
  Ngrok

public class Ngrok.EdgesNamespace extends Object
A namespace object for Edges.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EdgesHttps`
  `https()`
  Creates a service client for `EdgesHttps`.
  `EdgesHttpsRoutes`
  `httpsRoutes()`
  Creates a service client for `EdgesHttpsRoutes`.
  `EdgesTcp`
  `tcp()`
  Creates a service client for `EdgesTcp`.
  `EdgesTls`
  `tls()`
  Creates a service client for `EdgesTls`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### httpsRoutes

    public EdgesHttpsRoutes httpsRoutes()
    Creates a service client for `EdgesHttpsRoutes`. See also https://ngrok.com/docs/api#api-edges-https-routes
    Returns:
      a service client

  - ### https

    public EdgesHttps https()
    Creates a service client for `EdgesHttps`. See also https://ngrok.com/docs/api#api-edges-https
    Returns:
      a service client

  - ### tcp

    public EdgesTcp tcp()
    Creates a service client for `EdgesTcp`. See also https://ngrok.com/docs/api#api-edges-tcp
    Returns:
      a service client

  - ### tls

    public EdgesTls tls()
    Creates a service client for `EdgesTls`. See also https://ngrok.com/docs/api#api-edges-tls
    Returns:
      a service client